API

Print News Search Direct API

The AI-powered Print Media Monitor provides 360° Global Media Data & Intelligence on Newspapers, magazines, trade publications, and print journalism outlets.

Справочник API Версия: 1.0.0 4 Точки доступа Аутентификация
Print Media Monitor

Базовый URL

https://pressmonitor.com/api

Аутентификация

Все запросы требуют заголовков x-api-key и x-subscription-id. x-api-key аутентифицирует вашу учетную запись; x-subscription-id выбирает подписанный сервис.

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /headlines

Headlines

Параметры

Имя Тип Местоположение Обязательно Описание
keywords_text string query Да Keywords text parameter
lang_code string query Нет Lang code parameter
country_code string query Нет Country code parameter
count integer query Нет Count parameter
cursor string query Нет Cursor parameter
sort string query Нет Sort order (date or relevance)
date_from string query Нет Start date for news (YYYY-MM-DD format)
date_to string query Нет End date for news (YYYY-MM-DD format)

Примеры кода

curl -X GET \
  "https://pressmonitor.com/api/headlines?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Ответы

200 Success
GET /briefs

Briefs

Параметры

Имя Тип Местоположение Обязательно Описание
keywords_text string query Да Keywords text parameter
lang_code string query Нет Lang code parameter
country_code string query Нет Country code parameter
count integer query Нет Count parameter
cursor string query Нет Cursor parameter
sort string query Нет Sort order (date or relevance)
date_from string query Нет Start date for news (YYYY-MM-DD format)
date_to string query Нет End date for news (YYYY-MM-DD format)

Примеры кода

curl -X GET \
  "https://pressmonitor.com/api/briefs?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Ответы

200 Success
GET /fulltext

Fulltext

Параметры

Имя Тип Местоположение Обязательно Описание
keywords_text string query Да Keywords text parameter
lang_code string query Нет Lang code parameter
country_code string query Нет Country code parameter
count integer query Нет Count parameter
cursor string query Нет Cursor parameter
sort string query Нет Sort order (date or relevance)
date_from string query Нет Start date for news (YYYY-MM-DD format)
date_to string query Нет End date for news (YYYY-MM-DD format)

Примеры кода

curl -X GET \
  "https://pressmonitor.com/api/fulltext?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Ответы

200 Success
GET /clip

Clip

Параметры

Имя Тип Местоположение Обязательно Описание
id string query Да Clip/article ID to resolve
ns string query Да Namespace prefix for multi-tenant index resolution
date string query Да Date of the clip (YYYY-MM-DD)
host string query Нет Host name for tenant resolution
ttl integer query Нет Signed URL time-to-live in seconds

Примеры кода

curl -X GET \
  "https://pressmonitor.com/api/clip?id=VALUE&ns=VALUE&date=VALUE&host=VALUE&ttl=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Ответы

200 Success